Get list of sandboxes
curl --request GET \
--url https://api.hyperbrowser.ai/api/sandboxes \
--header 'x-api-key: <api-key>'import requests
url = "https://api.hyperbrowser.ai/api/sandboxes"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.hyperbrowser.ai/api/sandboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hyperbrowser.ai/api/sandboxes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hyperbrowser.ai/api/sandboxes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hyperbrowser.ai/api/sandboxes")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hyperbrowser.ai/api/sandboxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"sandboxes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"region": "us",
"runtime": {
"transport": "regional_proxy",
"host": "<string>",
"baseUrl": "<string>"
},
"exposedPorts": [
{
"port": 32768,
"auth": true,
"url": "<string>",
"browserUrl": "<string>",
"browserUrlExpiresAt": "2023-11-07T05:31:56Z"
}
],
"runtimeClass": "firecracker",
"diskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ready": true,
"teamId": "<string>",
"startTime": 123,
"endTime": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"closeReason": "<string>",
"creditsUsed": 123,
"vcpus": 123,
"memMiB": 123,
"diskSizeMiB": 123,
"timeoutMinutes": 123,
"network": {
"allowInternetAccess": true,
"allowOut": [
"<string>"
],
"denyOut": [
"<string>"
]
},
"sessionUrl": "<string>",
"duration": 123,
"proxyBytesUsed": 123
}
],
"totalCount": 123,
"page": 123,
"perPage": 123
}Sandboxes
Get list of sandboxes
GET
/
api
/
sandboxes
Get list of sandboxes
curl --request GET \
--url https://api.hyperbrowser.ai/api/sandboxes \
--header 'x-api-key: <api-key>'import requests
url = "https://api.hyperbrowser.ai/api/sandboxes"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.hyperbrowser.ai/api/sandboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hyperbrowser.ai/api/sandboxes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hyperbrowser.ai/api/sandboxes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hyperbrowser.ai/api/sandboxes")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hyperbrowser.ai/api/sandboxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"sandboxes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"region": "us",
"runtime": {
"transport": "regional_proxy",
"host": "<string>",
"baseUrl": "<string>"
},
"exposedPorts": [
{
"port": 32768,
"auth": true,
"url": "<string>",
"browserUrl": "<string>",
"browserUrlExpiresAt": "2023-11-07T05:31:56Z"
}
],
"runtimeClass": "firecracker",
"diskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ready": true,
"teamId": "<string>",
"startTime": 123,
"endTime": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"closeReason": "<string>",
"creditsUsed": 123,
"vcpus": 123,
"memMiB": 123,
"diskSizeMiB": 123,
"timeoutMinutes": 123,
"network": {
"allowInternetAccess": true,
"allowOut": [
"<string>"
],
"denyOut": [
"<string>"
]
},
"sessionUrl": "<string>",
"duration": 123,
"proxyBytesUsed": 123
}
],
"totalCount": 123,
"page": 123,
"perPage": 123
}Authorizations
Query Parameters
Page number
Page size (max 100)
Filter by sandbox status Current sandbox lifecycle status. macOS can report stopping while disk changes are being saved and the VM is being released.
Available options:
active, stopping, closed, close-error, error Filter by creation time (epoch milliseconds, inclusive lower bound)
Filter by creation time (epoch milliseconds, inclusive upper bound)
Search by sandbox ID
Was this page helpful?
⌘I